 /* 06.02.25 - Webbax | Barre frais de port gratuit */
 $(document).ready(function () {
    var freeShippingThreshold = 150; // Seuil de livraison gratuite
    var hasFreeShipping = false; // Variable pour savoir si la livraison gratuite a été atteinte

    function updateFreeShippingBar() {
        var cartTotal = parseFloat($('#cart_total_value').val()) || 0;
        var remaining = freeShippingThreshold - cartTotal;

        // Si la livraison gratuite est atteinte une fois, on ne masque plus jamais la barre
        if (remaining <= 0) {
            hasFreeShipping = true;
        }

        // Ne cacher la barre que si le panier est vide ET que la livraison gratuite n'a jamais été atteinte
        if (cartTotal === 0 && !hasFreeShipping) {
            $('#free-shipping-bar').css("opacity", "0");
            return;
        }

        // Afficher la barre en douceur
        $('#free-shipping-bar').css("opacity", "1");

        if (remaining <= 0) {
            $('#free-shipping-bar').html("🎉 Livraison gratuite obtenue !");
            $('#free-shipping-progress').css("width", "100%");
        } else {
            $('#remaining-amount').text(remaining.toFixed(2));
            var progress = ((cartTotal / freeShippingThreshold) * 100);
            $('#free-shipping-progress').css("width", progress + "%");
        }
    }

    // 🔹 Correction : ne jamais cacher la barre si la livraison gratuite a été atteinte une fois
    updateFreeShippingBar();

    // Surveiller les mises à jour AJAX du panier
    $(document).ajaxComplete(function(event, xhr, settings) {
        if (settings.url.indexOf('cart') !== -1) {
            $.get(window.location.href, function(response) {
                var newCartTotal = $(response).find('#cart_total_value').val();
                $('#cart_total_value').val(newCartTotal);
                updateFreeShippingBar();
            });
        }
    });

    // Vérifier toutes les 2 secondes au cas où
    setInterval(updateFreeShippingBar, 2000);
});